[DRBD-user] API_VERSION mismatch

thomas thomas at wi-inf.uni-essen.de
Tue Feb 24 10:05:18 CET 2004


Hello,

sorry, I need help once more. I have a raid1 System and in node gamma1
and my second node shoud be gamma2. Trying to get gamma1 primary, I used
drbdsetup and got this message:

drbdsetup /dev/nbd0 primary
        Version tags of drbdsetup and drbd kernel module are not
matching!
        API_VERSION: drbdsetup:64 -- drbd module:63
        Please check your installation!

What happens and what can I do?



My drbd Version: cat /proc/drbd
		 version: 0.6.7 (api:63/proto:62)
I am using Debian 3 Woody with Kernel 2.4.18-1-686-smp.

My drbd.conf file:
resource drbd0 {
  protocol=C
  fsckcmd=fsck.ext3 -p -y
  load-only

  net {
      sync-min    = 50M
      sync-max    = 90M
      tl-size     = 5000
      timeout     = 60
      connect-int = 10
      ping-int    = 10
      }

      on gamma1 {
           device=/dev/nbd0
           disk=/dev/md0
           address=192.168.1.6
           port=7789
         }

      on gamma2 {
           device=/dev/nbd0
           disk=/dev/sda6
           address=192.168.1.7
           port=7789
         }
       }
	
Thanks a lot.
-- 
Thomas Kern                   E-mail:    thomas at wi-inf.uni-essen.de
-------------------------------------------------------------------
Wi.Informatik der Produktionsunternehmen | Tel.: +49 (0201) 1834059
Universitaet Duisburg-Essen              | Fax.: +49 (0201) 1834067
Universitaetsstrasse 9, D-45143 Essen



More information about the drbd-user mailing list